# ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
## RUN INLA MODEL ==============================================================
# ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

run_mod <- function(form, data, config=TRUE){
  
  mod <- INLA::inla(form, 
                    family = "nbinomial", 
                    offset = log(population / 10**5),
                    control.inla = list(strategy = 'adaptive',
                                        cmin = 0),
                    control.compute=list(dic = TRUE, config = config),
                    control.predictor = list(link = 1, compute = TRUE),
                    verbose = FALSE,
                    data = data)
  return(mod)
}


## END